# Command: Str

Str variable/value Definition:

Convert numeric value to a string value.

Parameter Description:

variable/value = numeric value or variable

Command Description:

Use this command to transform an numeric value to a string value for use with string commands. Blitz prints numeric values just fine, but should you want to do functions like LEFT$, you'll need to convert your numeric variable to a string variable. Note: during the conversion, all 6 decimal places will be represented on floating point number conversions.

Example:

; STR example num#=2.5 mynum$=str num# Print mynum$

Index